OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions | Variables
SmoothMesh.cpp File Reference
`#include "SmoothMesh.h"`
`#include <OMToolkit\IO\OMIO.h>`
`#include <OMToolkit\OMTypes.h>`
`#include <OpenMesh\Tools\Smoother\JacobiLaplaceSmootherT.hh>`
`#include <OMToolkit\OMSmoother.h>`

## Typedefs
typedef OMToolkit::Types::ModuleMeshd | MeshT

## Functions
int | main (int argc, char *argv[])

## Variables
const std::string | MODULE_DESCRIPTION = "Module that smooths mesh data"
const std::string | MODULE_ARGUMENTS = "method:iterations:continuity:smooth:alpha:gauss"
const std::string | MODULE_ARG_METHOD = "method"
const std::string | MODULE_ARG_ITERATIONS = "iterations"
const std::string | MODULE_ARG_CONTINUITY = "continuity"
const std::string | MODULE_ARG_SMOOTH = "smooth"
const std::string | MODULE_ARG_ALPHA = "alpha"
const std::string | MODULE_ARG_GAUSS = "gauss"
const std::string | JACOBI = "jacobi"
const std::string | LOCAL = "local"
const std::string | METHOD_DEFAULT = JACOBI
const int | DEFAULT_ITERATIONS = 1
const std::string | CONTINUITY_C0 = "c0"
const std::string | CONTINUITY_C1 = "c1"
const std::string | CONTINUITY_C2 = "c2"
const std::string | CONTINUITY_DEFAULT = CONTINUITY_C1
const std::string | SMOOTH_TANGENTIAL = "tangential"
const std::string | SMOOTH_NORMAL = "normal"
const std::string | SMOOTH_BOTH = "both"
const std::string | SMOOTH_DEFAULT = SMOOTH_BOTH

## Detailed Description

OpenMesh Toolkit for mesh analysis
Copyright (c) 2010 by Rostislav Hulik

Author: Rostislav Hulik, ihuli.nosp@m.k@fi.nosp@m.t.vut.nosp@m.br.c.nosp@m.z
Date: 2010/10/27

Module description:

- Module loads a file from input channel
- Then, smooths it according to input arguments
- Result is written into output channel

## Typedef Documentation

typedef OMToolkit::Types::ModuleMeshd MeshT

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

## Variable Documentation

const std::string CONTINUITY_C0 = "c0"

const std::string CONTINUITY_C1 = "c1"

const std::string CONTINUITY_C2 = "c2"

const std::string CONTINUITY_DEFAULT = CONTINUITY_C1

const int DEFAULT_ITERATIONS = 1

const std::string JACOBI = "jacobi"

const std::string LOCAL = "local"

const std::string METHOD_DEFAULT = JACOBI

const std::string MODULE_ARG_ALPHA = "alpha"

const std::string MODULE_ARG_CONTINUITY = "continuity"

const std::string MODULE_ARG_GAUSS = "gauss"

const std::string MODULE_ARG_ITERATIONS = "iterations"

const std::string MODULE_ARG_METHOD = "method"

const std::string MODULE_ARG_SMOOTH = "smooth"

const std::string MODULE_ARGUMENTS = "method:iterations:continuity:smooth:alpha:gauss"

const std::string MODULE_DESCRIPTION = "Module that smooths mesh data"

const std::string SMOOTH_BOTH = "both"

const std::string SMOOTH_DEFAULT = SMOOTH_BOTH

const std::string SMOOTH_NORMAL = "normal"

const std::string SMOOTH_TANGENTIAL = "tangential"